package com.ruoyi.project.invoice.service;

import com.ruoyi.project.invoice.domain.TInvoiceContractor;

import java.util.List;

/**
 * 承包商信息Service接口
 *
 * @author ruoyi
 * @date 2022-08-24
 */
public interface ITInvoiceContractorService
{
    /**
     * 查询承包商信息
     *
     * @param id 承包商信息ID
     * @return 承包商信息
     */
    public TInvoiceContractor selectTInvoiceContractorById(Long id);

    /**
     * 查询承包商信息列表
     *
     * @param tInvoiceContractor 承包商信息
     * @return 承包商信息集合
     */
    public List<TInvoiceContractor> selectTInvoiceContractorList(TInvoiceContractor tInvoiceContractor);

    /**
     * 新增承包商信息
     *
     * @param tInvoiceContractor 承包商信息
     * @return 结果
     */
    public int insertTInvoiceContractor(TInvoiceContractor tInvoiceContractor);

    /**
     * 修改承包商信息
     *
     * @param tInvoiceContractor 承包商信息
     * @return 结果
     */
    public int updateTInvoiceContractor(TInvoiceContractor tInvoiceContractor);

    /**
     * 批量删除承包商信息
     *
     * @param ids 需要删除的承包商信息ID
     * @return 结果
     */
    public int deleteTInvoiceContractorByIds(Long[] ids);

    /**
     * 删除承包商信息信息
     *
     * @param id 承包商信息ID
     * @return 结果
     */
    public int deleteTInvoiceContractorById(Long id);

    /**
     * 根据名字找到承包商信息承包商信息信息
     *
     * @param userId 承包商信息ID
     * @return 结果
     */
     public  TInvoiceContractor selectTInvoiceContractorByName(String userId);



    /**
     *  查询承包商列表
     */
    List<String> selectTInvoiceContractorAllList();
}
